# Generated by Django 4.0 on 2021-12-11 16:37

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Driver',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('first_name', models.CharField(max_length=60)),
                ('last_name', models.CharField(max_length=60)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Vehicle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('make', models.CharField(max_length=60)),
                ('model', models.CharField(max_length=60)),
                ('plate_number', models.CharField(max_length=10, validators=[django.core.validators.RegexValidator('^[A-ZА-Я]{2}\\s\\d{4}\\s[A-ZА-Я]{2}$')])),
                ('driver_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='vehicles', to='api.driver')),
            ],
        ),
    ]
